package app

import (
	v1 "ln/nft/api/v1"

	"github.com/gin-gonic/gin"
)

type UserRouter struct{}

func (s *UserRouter) PublicUserRouter(Router *gin.RouterGroup) {
	userRouter := Router.Group("users")
	baseApi := v1.ApiGroupApp.AppApiGroup.BaseApi
	{
		userRouter.POST("register", baseApi.Register) // 注册账号
		userRouter.POST("login", baseApi.Login)       // 用户登录
	}

}

func (s *UserRouter) InitUserRouter(Router *gin.RouterGroup) {
	userRouter := Router.Group("users")
	baseApi := v1.ApiGroupApp.AppApiGroup.BaseApi
	{
		userRouter.POST("changePassword", baseApi.ChangePassword) // 修改密码
	}
}
